<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="323dp"
        android:layout_height="295dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/verify_header"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginRight="7dp"
            android:src="@mipmap/verify_header" />

        <View
            android:layout_width="match_parent"
            android:layout_height="195dp"
            android:layout_alignBottom="@id/verify_header"
            android:layout_alignParentBottom="true"
            android:layout_marginRight="7dp"
            android:background="@drawable/verify_background" />

        <TextView
            android:id="@+id/verify_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_marginTop="81dp"
            android:text="使用该功能请进行家长验证"
            android:textAlignment="center"
            android:textColor="#ff333333"
            android:textSize="16sp"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/verify_result_layout"
            android:layout_width="match_parent"
            android:layout_height="42dp"
            android:layout_below="@id/verify_title"
            android:layout_marginHorizontal="31dp"
            android:layout_marginTop="9dp"
            android:background="@drawable/verify_result_background"
            android:elevation="0dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/first_num"
                android:layout_width="21dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:text="5"
                android:textAlignment="center"
                android:textColor="#ff333333"
                android:textSize="18sp" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:src="@drawable/sign_multiply" />

            <TextView
                android:id="@+id/second_num"
                android:layout_width="21dp"
                android:layout_height="25dp"
                android:text="5"
                android:textAlignment="center"
                android:textColor="#ff333333"
                android:textSize="18sp" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/sign_plus"
                android:textAlignment="center"
                android:textColor="#ff333333"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/third_num"
                android:layout_width="21dp"
                android:layout_height="25dp"
                android:text="5"
                android:textAlignment="center"
                android:textColor="#ff333333"
                android:textSize="18sp" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/sign_equal"
                android:textAlignment="center"
                android:textColor="#ff333333"
                android:textSize="18sp" />

            <FrameLayout
                android:layout_width="54dp"
                android:layout_height="32dp"
                android:layout_marginRight="9dp"
                android:background="@drawable/verify_result_value_background"
                android:gravity="center">

                <TextView
                    android:id="@+id/result_num"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:text=""
                    android:textAlignment="center"
                    android:textColor="#ff333333"
                    android:textSize="18sp" />

                <ImageView
                    android:id="@+id/verify_error_img"
                    android:layout_width="17dp"
                    android:layout_height="17dp"
                    android:layout_gravity="center"
                    android:src="@mipmap/verify_error"
                    android:visibility="gone" />

            </FrameLayout>

            <TextView
                android:id="@+id/verify_check"
                android:layout_width="48dp"
                android:layout_height="32dp"
                android:layout_gravity="center"
                android:background="@drawable/verify_check_background"
                android:gravity="center"
                android:text="确认"
                android:textColor="#ffffffff"
                android:textSize="12sp" />


        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="254dp"
            android:layout_height="96dp"
            android:layout_below="@id/verify_result_layout"
            android:layout_marginHorizontal="31dp"
            android:layout_marginTop="12dp">

            <TextView
                android:id="@+id/verify_btn_1"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="1"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/verify_btn_2"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="2"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintLeft_toRightOf="@id/verify_btn_1"
                app:layout_constraintRight_toLeftOf="@id/verify_btn_3"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/verify_btn_3"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="3"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintLeft_toRightOf="@id/verify_btn_2"
                app:layout_constraintRight_toLeftOf="@id/verify_btn_4"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/verify_btn_4"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="4"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintLeft_toRightOf="@id/verify_btn_3"
                app:layout_constraintRight_toLeftOf="@id/verify_btn_5"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/verify_btn_5"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="5"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/verify_btn_6"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="6"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent" />

            <TextView
                android:id="@+id/verify_btn_7"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="7"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toRightOf="@id/verify_btn_6"

                app:layout_constraintRight_toLeftOf="@id/verify_btn_8" />

            <TextView
                android:id="@+id/verify_btn_8"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="8"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toRightOf="@id/verify_btn_7"
                app:layout_constraintRight_toLeftOf="@id/verify_btn_9" />


            <TextView
                android:id="@+id/verify_btn_9"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="9"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toRightOf="@id/verify_btn_8"
                app:layout_constraintRight_toLeftOf="@id/verify_btn_0" />

            <TextView
                android:id="@+id/verify_btn_0"
                android:layout_width="41dp"
                android:layout_height="41dp"
                android:background="@drawable/verify_button_background"
                android:gravity="center"
                android:text="0"
                android:textAlignment="center"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:id="@+id/verify_close"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_alignParentRight="true"
            android:layout_marginTop="51dp"
            android:src="@mipmap/verify_close" />

    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>